Subject: Re: bug#10627: char-ready? is broken for multibyte encodings

From: Mark H Weaver <[email-masked]>
Date: Tue, 26 Feb 2013 14:50:43 -0500

Andy Wingo <[email-masked]> writes:
> Are you proposing that `char-ready?' do a nonblocking read if
> the buffer is empty?  That could work.

Yes.  I suspect that something along these lines is already implemented,
because I don't see how 'u8-ready?' could work properly without it.

> Do what you like to do :)  But if it were my time, I would simply
> document that it checks for a byte and not a character and move on.

I'd like to fix it properly.  Let's keep this bug open until it's done.

     Thanks,
       Mark